import { createRouter, createWebHistory } from 'vue-router'

const routes = [
  {
    path: '/',
    redirect: '/user/dashboard'
  },
  {
    path: '/user/dashboard',
    component: () => import('../views/User/Dashboard.vue')
  },
  {
    path: '/admin/dashboard',
    component: () => import('../views/Admin/Dashboard.vue')
  }
]

const router = createRouter({
  history: createWebHistory(),
  routes
})

export default router